%{!?php_inidir: %global php_inidir %{_sysconfdir}/php.d}

# We need to add this exception until as the location is only a symlink
%global __requires_exclude pear\\(Roundcube/bootstrap.php\\)

%global httpd_group apache
%global httpd_name httpd
%global httpd_user apache


%global _ap_sysconfdir %{_sysconfdir}/%{httpd_name}

Name:           chwala
Version:        0.2
Release:	%mkrel 6
Summary:        Glorified WebDAV, done right
Group:          System/Servers
License:        AGPLv3+
URL:            http://chwala.org
Source0:        http://mirror.kolabsys.com/pub/releases/chwala-%{version}.tar.gz
Source1:        chwala.conf
Requires:       php-pear
Requires:       php-pear-Auth_SASL
Requires:       php-pear-HTTP_Request2
Requires:       php-pear-Mail_Mime
Requires:       php-pear-Net_IDNA2
Requires:       php-pear-Net_SMTP
Requires:       php-pear-Net_Socket
Requires:       php-pear-Net_URL2
Requires:       roundcubemail
Requires:       roundcubemail-plugins-kolab
Requires:       apache
BuildArch:      noarch


%description
Chwala is the implementation of a modular, scalable, driver-backed file-
and media-storage, that with using an API, provides generated UI components
based on context and content, for the purpose of integration with 3rd
party applications.

%prep
%setup -q

%build

%install
mkdir -p \
    %{buildroot}/%{_ap_sysconfdir}/conf.d \
    %{buildroot}/%{_datadir}/%{name} \
    %{buildroot}/%{_localstatedir}/cache/%{name} \
    %{buildroot}/%{_localstatedir}/lib/%{name} \
    %{buildroot}/%{_logdir}/%{name}

install -pm 644 %{SOURCE1} %{buildroot}/%{_ap_sysconfdir}/conf.d/chwala.conf

cp -a lib public_html %{buildroot}/usr/share/%{name}

pushd %{buildroot}/%{_datadir}/%{name}

pushd lib/ext
rm -rf Auth
rm -rf HTTP
rm -rf Mail
rm -rf Net
rm -rf PEAR*.php
rm -rf Roundcube
ln -s /usr/share/roundcubemail/program/lib/Roundcube Roundcube
popd

pushd lib/kolab/plugins
rm -rf kolab_auth kolab_folders libkolab
ln -s /usr/share/roundcubemail/plugins/kolab_auth kolab_auth
ln -s /usr/share/roundcubemail/plugins/kolab_folders kolab_folders
ln -s %{_datadir}/roundcubemail/plugins/libkolab libkolab
popd

ln -s %{_localstatedir}/cache/%{name} cache
ln -s %{_sysconfdir}/roundcubemail config
ln -s %{_localstatedir}/lib/%{name} temp
ln -s %{_logdir}/%{name} logs
popd

%post
if [ -f "%{php_inidir}/apc.ini" ]; then
    if [ ! -z "`grep ^apc.enabled=1 %{php_inidir}/apc.ini`" ]; then

        /sbin/systemctl condrestart %{httpd_name}.service

    fi
fi

%files
%doc README.md LICENSE
%{_ap_sysconfdir}/conf.d/%{name}.conf
%{_datadir}/%{name}
%attr(0750,%{httpd_user},%{httpd_group}) %{_localstatedir}/cache/%{name}
%attr(0750,%{httpd_user},%{httpd_group}) %{_localstatedir}/lib/%{name}
%attr(0750,%{httpd_user},%{httpd_group}) %{_localstatedir}/log/%{name}



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.2-6.mga6
+ Revision: 938673
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-5.mga5
+ Revision: 740692
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-4.mga5
+ Revision: 678392
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Mar 15 2014 spuhler <spuhler> 0.2-3.mga5
+ Revision: 604049
- added exception

* Sat Mar 15 2014 spuhler <spuhler> 0.2-2.mga5
+ Revision: 604004
- restored syslink /usr/share/roundcubemail/program/lib/Roundcube Roundcube

* Sat Mar 15 2014 spuhler <spuhler> 0.2-1.mga5
+ Revision: 603930
- upgrade to ver. 0.2
- some spec cleanup

* Wed Mar 05 2014 spuhler <spuhler> 0.1-2.mga5
+ Revision: 600101
- corrected the Requires naming

* Sat Mar 01 2014 spuhler <spuhler> 0.1-1.mga5
+ Revision: 598337
- first build
- imported package chwala


* Tue Oct 29 2013 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.1-0.5
- Require only "webserver" or "http_daemon"

* Fri Aug  9 2013 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.1-0.4
- New snapshot

* Tue May  7 2013 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.1-0.2
- A first version of chwala
